%define name    quicksynergy
%define rname   QuickSynergy
%define version 0.9.0
%define release %mkrel 1

Summary:  GUI for easily configuring Synergy2
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
URL:            http://quicksynergy.sourceforge.net/
Group:          Networking/Remote access
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Source:         http://downloads.sourceforge.net/quicksynergy/%{name}-%{version}.tar.xz
BuildRequires:  synergy
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:	libgtk+2.0_0-devel
Requires:       synergy

%description
QuickSynergy is a graphical user interface (GUI) for easily configuring 
Synergy2 on Mac OS X and Linux. Synergy2 is an application that allows 
the user to share his mouse and keyboard between two or more computers.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 src/logo/qslogo.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

#desktop file
mkdir ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{rname}
Comment=%{summary}
Exec=%{_bindir}/quicksynergy
Icon=qslogo
Terminal=false
Type=Application
StartupNotify=false
Categories=System;X-MandrivaLinux-System-Configuration-Other;
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING AUTHORS README
%{_bindir}/quicksynergy
%{_datadir}/pixmaps/qslogo.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Feb 04 2011 Texstar <texstar at gmail.com> 0.9.0-1pclos2011
- 0.9.0 update from 2007

